1.3

1.3

put /v1/public-domain-names/{public_domain_id}/information

Description

Update Public Domain Name Whois Info

State ACTIVE (CURRENT)

VersionSupported Until
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathpublic_domain_id
required
Id
Example :
stringNone
bodybody
required

PubblicDomainWhoisInfoUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainWhoisInfoUpdateResponse

Example HTTP request

Request path

/v1/public-domain-names/{public_domain_id}/information

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Request body

{
    "address_type": "",
    "domestic_first_address_en": "",
    "domestic_first_address_ko": "",
    "domestic_second_address_en": "",
    "domestic_second_address_ko": "",
    "overseas_first_address": "",
    "overseas_second_address": "",
    "overseas_third_address": "",
    "postal_code": "",
    "register_email": "",
    "register_telno": ""
}

Example HTTP response

Response 200

{
    "address_type": "",
    "domestic_first_address_en": "",
    "domestic_first_address_ko": "",
    "domestic_second_address_en": "",
    "domestic_second_address_ko": "",
    "name": "",
    "overseas_first_address": "",
    "overseas_second_address": "",
    "overseas_third_address": "",
    "postal_code": "",
    "register_email": "",
    "register_name_en": "",
    "register_name_ko": "",
    "register_telno": ""
}